microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a skill
DELETE
/skills/{name}
Removes the specified skill and its associated versions.
パス パラメーター
name
string
必須
The unique name of the skill.
ヘッダー パラメーター
Foundry-Features
enum
必須
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
応答
The request has succeeded.
本文
Content-Type: application/json
id
string
必須
The unique identifier of the deleted skill.
name
string
必須
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
必須
Whether the skill was successfully deleted.
要求
DELETE /skills/{name} HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json